<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.CustomWineOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="customWineOrderResultMap" type="org.springblade.modules.finance.entity.CustomWineOrder">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="order_id" property="orderId"/>
        <result column="bottle_cap_id" property="bottleCapId"/>
        <result column="bottle_cap_name" property="bottleCapName"/>
        <result column="bottle_cap_quantity" property="bottleCapQuantity"/>
        <result column="bottle_cap_price" property="bottleCapPrice"/>
        <result column="bottle_cap_unit" property="bottleCapUnit"/>
        <result column="bottle_body_id" property="bottleBodyId"/>
        <result column="bottle_body_name" property="bottleBodyName"/>
        <result column="bottle_body_quantity" property="bottleBodyQuantity"/>
        <result column="bottle_body_price" property="bottleBodyPrice"/>
        <result column="bottle_body_unit" property="bottleBodyUnit"/>
        <result column="bottle_label_id" property="bottleLabelId"/>
        <result column="bottle_label_name" property="bottleLabelName"/>
        <result column="bottle_label_quantity" property="bottleLabelQuantity"/>
        <result column="bottle_label_price" property="bottleLabelPrice"/>
        <result column="bottle_label_unit" property="bottleLabelUnit"/>
        <result column="wine_case_id" property="wineCaseId"/>
        <result column="wine_case_name" property="wineCaseName"/>
        <result column="wine_case_quantity" property="wineCaseQuantity"/>
        <result column="wine_case_price" property="wineCasePrice"/>
        <result column="wine_case_unit" property="wineCaseUnit"/>
        <result column="wine_box_id" property="wineBoxId"/>
        <result column="wine_box_name" property="wineBoxName"/>
        <result column="wine_box_quantity" property="wineBoxQuantity"/>
        <result column="wine_box_price" property="wineBoxPrice"/>
        <result column="wine_box_unit" property="wineBoxUnit"/>
        <result column="wine_case_stuffing_id" property="wineCaseStuffingId"/>
        <result column="wine_case_stuffing_name" property="wineCaseStuffingName"/>
        <result column="wine_case_stuffing_quantity" property="wineCaseStuffingQuantity"/>
        <result column="wine_case_stuffing_price" property="wineCaseStuffingPrice"/>
        <result column="wine_case_stuffing_unit" property="wineCaseStuffingUnit"/>
        <result column="wine_box_stuffing_id" property="wineBoxStuffingId"/>
        <result column="wine_box_stuffing_name" property="wineBoxStuffingName"/>
        <result column="wine_box_stuffing_quantity" property="wineBoxStuffingQuantity"/>
        <result column="wine_box_stuffing_price" property="wineBoxStuffingPrice"/>
        <result column="wine_box_stuffing_unit" property="wineBoxStuffingUnit"/>
        <result column="base_wine_type" property="baseWineType"/>
        <result column="base_wine_name" property="baseWineName"/>
        <result column="base_wine_quantity" property="baseWineQuantity"/>
        <result column="base_wine_price" property="baseWinePrice"/>
        <result column="base_wine_unit" property="baseWineUnit"/>
        <result column="base_wine_id" property="baseWineId"/>
        <result column="bartender_id" property="bartenderId"/>
        <result column="bartender_skill_id" property="bartenderSkillId"/>
        <result column="bartender_skill_title" property="bartenderSkillTitle"/>
        <result column="custom_content" property="customContent"/>
        <result column="font" property="font"/>
        <result column="template" property="template"/>
    </resultMap>


    <select id="selectCustomWineOrderPage" resultMap="customWineOrderResultMap">
        select * from biz_custom_wine_order where is_deleted = 0
    </select>

</mapper>
